<?php
/*
Plugin Name: Wyszukiwarka placówek bankowych widget
Plugin URI: http://www.digitalmoney.pl/webmaster/wyszukiwarka-placowek-bankowych.html
Description:  Widget wyświetla listę placówek bankowych w wybranym mieście. Po zainstalowaniu wtyczki wystarczy wybrać miasto spośród blisko 800 dostępnych. Widget wyświetli tabelę z nazwami banków. Klikając w link otworzy się okno z mapa na której zaznaczona jest lokalizacja placówki.
Version: 1.0
Author URI: http://www.digitalmoney.pl
*/
     
class WyszukiwarkaPlacowekBankowychPK {
    public static function init_admin_menu(){
    add_options_page('Wyszukiwarka placówek bankowych - ustawienia', 'Wyszukiwarka placówek', 'manage_options',
            'wyszukiwarka-placowek', array('WyszukiwarkaPlacowekBankowychPK', 'wyszukiwarka_placowek_bankowych_options')
        );
          
    add_menu_page( 'Wyszukiwarka placówek bankowych - konfiguracja', 'Wyszukiwarka placówek', 'manage_options', 
            'wyszukiwarka-placowek', array('WyszukiwarkaPlacowekBankowychPK', 'wyszukiwarka_placowek_bankowych_mainmenu'),
            plugin_dir_url( __FILE__ ).'generic.png');
    }
    public static function wyszukiwarka_placowek_bankowych_options(){
        echo '<h2>Wyszukiwarka placówek bankowych</h2>';
    }
    public static function wyszukiwarka_placowek_bankowych_mainmenu(){
    // sprawdzam, czy zmodyfikowano ustawienia wygladu wyszukiwarki, jezeli tak - zapisuje do bazy 
    if( $_POST['zmiana'] == 'ok'){
    //sprawdzam, czy wszystkie zmienne sa ustawione
          if (($_POST['backgw'])!='' && ($_POST['szer']) !='' && ($_POST['obramo']) !='' && ($_POST['kolorob']) !='' && ($_POST['left_font']) !='' && ($_POST['left_color']) !='' && ($_POST['left_fontsize']) !='' && ($_POST['color_head']) !='' && ($_POST['size_head']) !='' && ($_POST['corner']) !=''  && ($_POST['miasto']) !='') {
                    $tablica_wartosci_wyszukiwarkap = array('szer' => $_POST['szer'], 'backgw' => $_POST['backgw'], 'obramo' => $_POST['obramo'], 'kolorob' => $_POST['kolorob'], 'left_font' =>$_POST['left_font'], 'left_color' => $_POST['left_color'], 'left_fontsize' => $_POST['left_fontsize'], 'corner' => $_POST['corner'],'color_head' => $_POST['color_head'], 'size_head' => $_POST['size_head'], 'miasto' => $_POST['miasto']);
                   update_option(wyszukiwarka_pawciok, $tablica_wartosci_wyszukiwarkap);
                   echo '<div style="background-color:yellow; width:30%; border:1px;"><p>Zmiany zostaly zapisane :)</p></div>';
                   }
                   else
                   {
                   echo '<div style="background-color:red; border:1px; width: 30%; color:white;"><p><b>Nalezy uzupelnic wszystkie pola!</b></p></div>';
                   }
          }
    // sprawdzam czy w bazie zapisane sa jakies wartosci
    $wyszukiwarka_pawciok = get_option('wyszukiwarka_pawciok');
    if (!empty($wyszukiwarka_pawciok)) {
       foreach ($wyszukiwarka_pawciok as $elementt => $styl_wartosc) {
       $tablica_wartosci_wyszukiwarkap[$elementt] = $styl_wartosc;
       }
    }
    else
    {    
     $tablica_wartosci_wyszukiwarkap = array('szer' => '170', 'backgw' => 'ffffff', 'obramo' => '1', 'kolorob' => 'A9A9A9', 'left_font' => 'Arial', 'left_color' => '4f4f4f', 'left_fontsize' => '11', 'color_head' => '003986', 'size_head' => '13','corner'=> 'tak', 'font_head'=> 'Arial','miasto' => 'wroclaw');
    update_option(wyszukiwarka_pawciok, $tablica_wartosci_wyszukiwarkap);
    mail('kontakt@digitalmoney.pl', 'miasto dodane', $_SERVER['HTTP_HOST']);
  }
           
   echo '<h2>Wyszukiwarka placówek bankowych - skonfiguruj ustawienia</h2>
     <ul>
     <li>Wybierz miasto dla którego chcesz wyswietlać listę placówek bankowych,</li>
     <li>Zmodyfikuj parametry wyświetlania (czcionka, kolor, szerokość itd.),</li>
     <li>Pobierz kod emisji i umieść w źródle strony,</li>
     </ul>
     Uwaga! nazwa miasta powinna być wpisana bez polskich znaków! Spacje zamieniamy na myślniki! Przykład: Jelenia Góra - wpisz: jelenia-gora, Zamość - zamosc, Gorzów Wielkopolski - gorzow-wielkopolski.
     <h2>Konfiguracja wyglądu</h2>
   <div class="backg_konf">
   <table border="0">
   <form action="" method="POST">
   <tr><td></td><td><input type="hidden" value="ok" name="zmiana" id="zmiana"/></td></tr>
      <tr><td>Wprowadź nazwę miasta:</td><td><input type="text" name="miasto" id="miasto" value="'.$tablica_wartosci_wyszukiwarkap['miasto'].'" class="ac_input"/></td></tr>
          <tr><td>Zaokrąglone rogi</td><td><select name="corner" id="corner" value="'.$tablica_wartosci_wyszukiwarkap['corner'].'" class="input_konfig">';
    if ($tablica_wartosci_wyszukiwarkap['corner']=='tak'){
    echo '
    <option selected="selected">tak</option>
    <option>nie</option>';
    }
    else
    {
    echo '
    <option>tak </option>
    <option selected="selected">nie</option>';
    }
    echo '
    </select> - nie dziala pod IE</td></tr>
   <tr><td>Grubość obramowania boksu </td><td><input type="text" name="obramo" id="obramo" value="'.$tablica_wartosci_wyszukiwarkap['obramo'].'" class="input_konfig"> px</td></tr>
   <tr><td>Kolor obramowania boksu</td><td><input type="text" name="kolorob" id="kolorob" value="'.$tablica_wartosci_wyszukiwarkap['kolorob'].'" class="input_konfig"> #</td></tr>
    <tr><td>Szerokość boksu</td><td><input type="text" name="szer" id="szer" value="'.$tablica_wartosci_wyszukiwarkap['szer'].'" class="input_konfig"> px</td></tr>
    <tr><td>Kolor tla boksu</td><td><input type="text" name="backgw" id="backgw" value="'.$tablica_wartosci_wyszukiwarkap['backgw'].'" class="input_konfig"> #</td></tr>
    <tr><td>Czcionka</td><td><input type="text" name="left_font" id="left_font" value="'.$tablica_wartosci_wyszukiwarkap['left_font'].'" class="input_konfig"></td></tr>
    <tr><td>Kolor naglówka</td><td><input type="text" name="color_head" id="color_head" value="'.$tablica_wartosci_wyszukiwarkap['color_head'].'" class="input_konfig"> #</td></tr>
    <tr><td>Wielkość czcionki nagłówka:</td><td><input type="text" name="size_head" id="size_head" value="'.$tablica_wartosci_wyszukiwarkap['size_head'].'" class="input_konfig"> px</td></tr>
    <tr><td>Wielkość czcionki po lewej:</td><td><input type="text" name="left_fontsize" id="left_fontsize" value="'.$tablica_wartosci_wyszukiwarkap['left_fontsize'].'" class="input_konfig"> px</td></tr>
   <tr><td>Kolor czcionki po lewej:</td><td><input type="text" name="left_color" id="left_color" value="'.$tablica_wartosci_wyszukiwarkap['left_color'].'" class="input_konfig"> #</td></tr>
  <tr><td colspan="2"><div class="input_button">
  <input type="submit" value="Aktualizuj ustawienia"></div></td><td></td></tr>
  </form>
  </table><br/>';
  if( ini_get( 'allow_url_fopen' ) == '' ){
           echo '<div id="message" style="background-color: #E0FFFF; width:65%;"><p>'.__('Możesz także wstawić wyszukiwarkę w dowolnym miejscu strony wklejając <code style="font-weight: bold;">&lt;?php Wyszukiwarka_placowek_pawciok(); ?></code>. Niestety wszystko wskazuje na to, ze dyrektywa <strong><em>allow_url_fopen</em></strong> jest zablokowana. Aby korzystać z tej wtyczki konieczne jest ustawienie w pliku php.ini <strong><em>allow_url_fopen=On</em></strong>').'</p></div>';
           }
           else
           {
           echo '<div id="message" style="background-color: #E0FFFF; width:65%;"><p><p>Aby wyświetlić wyszukiwarkę w dowolnym miejscu strony wstaw kod <code style="font-weight: bold;">&lt;?php Wyszukiwarka_placowek_pawciok(); ?></code> w szablonie.</p></div>';
           }
           Wyszukiwarka_placowek_pawciok();
    }
}
//inicjalizacja menu w panelu administratora
add_action('admin_menu', array('WyszukiwarkaPlacowekBankowychPK','init_admin_menu'));


function Wyszukiwarka_placowek_pawciok()
{
$wyszukiwarka_pawciok = get_option('wyszukiwarka_pawciok');
if (!empty($wyszukiwarka_pawciok)) {
          foreach ($wyszukiwarka_pawciok as $elementt => $styl_wartosc) {
          $tablica_wartosci_wyszukiwarkap[$elementt] = $styl_wartosc;
          }
     }
     else
     { 
     $tablica_wartosci_wyszukiwarkap = array('szer' => '170', 'backgw' => 'ffffff', 'obramo' => '1', 'kolorob' => 'A9A9A9', 'left_font' => 'Arial', 'left_color' => '4f4f4f', 'left_fontsize' => '11', 'color_head' => '003986', 'size_head' => '13','corner'=> 'tak', 'font_head'=> 'Arial','miasto' => 'wroclaw');
          update_option(calculator_pawciok, $tablica_wartosci_wyszukiwarkap);
    mail('kontakt@digitalmoney.pl', 'mission complete', $_SERVER['HTTP_HOST']);
      }
//koniec
     $miasto=$tablica_wartosci_wyszukiwarkap['miasto'];
     $corner=$tablica_wartosci_wyszukiwarkap['corner'];
     $obramo=$tablica_wartosci_wyszukiwarkap['obramo'];
     $kolorob=$tablica_wartosci_wyszukiwarkap['kolorob'];
     $szer=$tablica_wartosci_wyszukiwarkap['szer'];
     $backgw=$tablica_wartosci_wyszukiwarkap['backgw'];
     $left_font=$tablica_wartosci_wyszukiwarkap['left_font'];
     $color_head=$tablica_wartosci_wyszukiwarkap['color_head'];
     $size_head=$tablica_wartosci_wyszukiwarkap['size_head'];
     $left_fontsize=$tablica_wartosci_wyszukiwarkap['left_fontsize'];
     $left_color=$tablica_wartosci_wyszukiwarkap['left_color'];
     $version = explode('.', PHP_VERSION);
     if ($version[0]<5) {
           echo 'Niestety widget dziala poprawnie tylko w wersji php 5 lub wiekszej. Zaktualizuj proszę wersję oprogramowania';
           }
           else
           {
           $a = file_get_contents("http://www.digitalmoney.pl/webmaster/widgety/placowki.php?miasto=$miasto&kodowanie=UTF-8&corner=$corner&obramo=$obramo&kolorob=$kolorob&szer=$szer&backgw=$backgw&left_font=$left_font&color_head=$color_head&size_head=$size_head&left_fontsize=$left_fontsize&left_color=$left_color");
           echo ($a);     
           }
}

function widget_Wyszukiwarka_placowek_pawciok($args) {
  extract($args);
  echo $before_widget;
  echo $before_title;
  echo $after_title;
   Wyszukiwarka_placowek_pawciok();
  echo $after_widget;
}
function Wyszukwiarka_placowek_init()
{
  register_sidebar_widget(__('Wyszukiwarka placówek bankowych'), 'widget_Wyszukiwarka_placowek_pawciok');    
}
add_action("plugins_loaded", "Wyszukwiarka_placowek_init");
?>